%global momorel 1
%global ruby_mm 1.8
%global ruby_os %{_target_os}
%global ruby_arch %{_target_cpu}-%{ruby_os}
%global md5sum_src0 0e51e88d097085e101bf722fc04808ed

%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: A program which does Japanese handwriting recognition
Name: tomoe
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: LGPL
URL: https://sourceforge.jp/projects/tomoe/
Group: Applications/System
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-no-e.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: doxygen, glib2-devel, pkgconfig, gtk-doc
BuildPreReq: unzip, neon-devel
BuildPreReq: ruby-devel >= 1.8.6-4m, ruby-gnome2-devel
BuildPreReq: python-devel
BuildPreReq: hyperestraier, qdbm-devel, mysql-devel 
BuildPreREq: apr-devel, subversion-devel
BuildPreReq: automake, autoconf, libtool

%description
A program which does Japanese handwriting recognition.

%package devel
Summary: Headers of tomoe for development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig, gtk-doc

%description devel
tomoe development package: static libraries, header files, and the like.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure \
	--with-ruby-libdir=%{ruby_sitelibdir} \
	--with-ruby-extdir=%{ruby_sitearchdir}
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_sysconfdir}/tomoe
%config %{_sysconfdir}/tomoe/config
%{python_sitelib}/tomoe.so
%{ruby_sitearchdir}/tomoe.so
%{ruby_sitelibdir}/tomoe.rb
%dir %{_libdir}/tomoe
%dir %{_libdir}/tomoe/module
%dir %{_libdir}/tomoe/module/dict
%{_libdir}/tomoe/module/dict/*.so
%dir %{_libdir}/tomoe/module/recognizer
%{_libdir}/tomoe/module/recognizer/simple.so
%{_libdir}/libtomoe.so.*
%{_datadir}/locale/*/LC_MESSAGES/tomoe.mo
%{_datadir}/tomoe

%files devel
%defattr(-, root, root)
%{_includedir}/tomoe
%{_libdir}/pkgconfig/pytomoe.pc
%{_libdir}/pkgconfig/tomoe.pc
%{python_sitelib}/tomoe.a
%{ruby_sitearchdir}/rbtomoe.h
%{ruby_sitearchdir}/tomoe.a
%{_libdir}/tomoe/module/dict/*.a
%{_libdir}/tomoe/module/recognizer/simple.a
%{_libdir}/libtomoe.a
%{_libdir}/libtomoe.so
%{_datadir}/gtk-doc/html/tomoe

%changelog
* Thu Jul  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.0-1m)
- version 0.6.0
- update no-e.patch

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.1-3m)
- rebuild against ruby-1.8.6-4m

* Wed Mar 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.1-2m)
- rebuild against qdbm-1.8.75

* Mon Feb 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.1-1m)
- version 0.5.1

* Fri Dec 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-1m)
- version 0.5.0

* Thu Nov 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4.0-1m)
- version 0.4.0
- BuildPreReq: glib-devel, pkgconfig, ruby-devel
- tomoe-devel Requires: pkgconfig, gtk-doc

* Thu Nov  9 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- version 0.3.0

* Fri Jan 13 2006 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.1-3m)
- apply 'tomoe-0.2.1-no-e.patch' to avoid dependency with enlightenment

* Wed Jan 11 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-2m)
- modify %%build section for new libtool

* Sat Aug 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.1-1m)
- version 0.2.1

* Fri Jul  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.0-1m)
- version 0.2.0
- add a package tomoe-devel
- add %%post and %%postun sections

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import %%description from cooker
